<?php

namespace Itdatex\Rechnungseingang\Vendor\horstoeko\zugferd\entities\extended\ram;

/**
 * Class representing TradeAccountingAccountType
 *
 * XSD Type: TradeAccountingAccountType
 */
class TradeAccountingAccountType
{

    /**
     * @var \Itdatex\Rechnungseingang\Vendor\horstoeko\zugferd\entities\extended\udt\IDType $iD
     */
    private $iD = null;

    /**
     * @var string $typeCode
     */
    private $typeCode = null;

    /**
     * Gets as iD
     *
     * @return \Itdatex\Rechnungseingang\Vendor\horstoeko\zugferd\entities\extended\udt\IDType
     */
    public function getID()
    {
        return $this->iD;
    }

    /**
     * Sets a new iD
     *
     * @param  \Itdatex\Rechnungseingang\Vendor\horstoeko\zugferd\entities\extended\udt\IDType $iD
     * @return self
     */
    public function setID(\Itdatex\Rechnungseingang\Vendor\horstoeko\zugferd\entities\extended\udt\IDType $iD)
    {
        $this->iD = $iD;
        return $this;
    }

    /**
     * Gets as typeCode
     *
     * @return string
     */
    public function getTypeCode()
    {
        return $this->typeCode;
    }

    /**
     * Sets a new typeCode
     *
     * @param  string $typeCode
     * @return self
     */
    public function setTypeCode($typeCode)
    {
        $this->typeCode = $typeCode;
        return $this;
    }
}
